-- (C) OOMusou 2011 http://oomusou.cnblogs.com

-- Filename    : counter_tb.vhd
-- Simulator   : ModelSim 6.3e, Debussy 5.4 v9
-- Description : ModelSim with debussy
-- Release     : 01/31/2010 1.0

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;
use work.pkg.all;


entity counter_tb is 
end entity counter_tb;

architecture arc of counter_tb is
  component counter 
    port (
      clk   : in std_logic;
      rst_n : in std_logic;
      cnt   : out std_logic_vector(3 downto 0)
    );
  end component;
  
  signal clk   : std_logic := '0';
  signal rst_n : std_logic := '0';
  signal cnt   : std_logic_vector(3 downto 0);
  
begin
  u_counter : counter
  port map (
    clk   => clk,
    rst_n => rst_n,
    cnt   => cnt
  );
  
  process
  begin
    clk_loop : loop
      clk <= '0';
      wait for 10 ns;
      clk <= '1';
      wait for 10 ns;
    end loop clk_loop;
  end process;
  
  process
  begin
    wait for 5 ns;
    rst_n <= '1';
  end process;
  
  process
  begin
    fsdbDumpfile("counter.fsdb");
    fsdbDumpvars(0, "counter_tb");
    wait;
  end process;
end arc;